import glob
import io
import os

import h5py
import numpy as np
import torch
from torch import nn

from .args import args

def mylog(s):
    if args.log:
        with open(args.log, 'a', newline='\n') as f:
            f.write(s + u'\n')
        if not args.no_stdout:
            print(s)
    else:
        print(s)

class AttrProxy(object):
    """Translates index lookups into attribute lookups."""
    def __init__(self, module, prefix):
        self.module = module
        self.prefix = prefix

    def __getitem__(self, i):
        return getattr(self.module, self.prefix + str(i))
